osgDB::FindFileCallback Class Reference

`#include <Callbacks>`

Inheritance diagram for osgDB::FindFileCallback:

## Public Member Functions

virtual std::string | findDataFile (const std::string &filename, const Options *options, CaseSensitivity caseSensitivity)
virtual std::string | findLibraryFile (const std::string &filename, const Options *options, CaseSensitivity caseSensitivity)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~FindFileCallback ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ~FindFileCallback()

virtual osgDB::FindFileCallback::~FindFileCallback | ( |  | ) |

inline protected virtual

## Member Function Documentation

## findDataFile()

virtual std::string osgDB::FindFileCallback::findDataFile | ( | const std::string & | filename,
|  | const Options * | options,
|  | CaseSensitivity | caseSensitivity )

virtual

Referenced by osgDB::Registry::findDataFile().

## findLibraryFile()

virtual std::string osgDB::FindFileCallback::findLibraryFile | ( | const std::string & | filename,
|  | const Options * | options,
|  | CaseSensitivity | caseSensitivity )

virtual

Referenced by osgDB::Registry::findLibraryFile().

The documentation for this class was generated from the following file:

- osgDB/Callbacks